Favicon

You are here: Home > API Reference > Apple > Apple Devices > Check Notify admDevice

Check Notify admDevice

Required Permission: mdm.apple.device.notify

Check Notify admDevice

GET
/v1/organizations/:organizationId/mdm/apple/enterprise/devices/:admDeviceId/check-notify
Copy to clipboard

Check Notify admDevice

Required Permission: mdm.apple.device.notify

Check Notify admDevice

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data object optional
status boolean optional
{
    "status": true,
    "data": {
        "status": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}